## mycompiler.mytypereconstruction.set
Class CMultiplyTupleSet

    java.lang.Object
      mycompiler.mytypereconstruction.set.CSet<E>
          mycompiler.mytypereconstruction.set.CMengeSet<CMultiplyTuple>
              mycompiler.mytypereconstruction.set.CMultiplyTupleSet

    public class CMultiplyTupleSet

extends CMengeSet<CMultiplyTuple>

Version:
  $Date: 2005/06/28 19:19:08 $
Author:
  J�rg B�uerle

Constructor Summary
`CMultiplyTupleSet()`

Method Summary
`CMultiplyTupleSet` `deepCopy()`
`CMultiplyTupleSet` `shallowCopy()`

Methods inherited from class mycompiler.mytypereconstruction.set.CMengeSet
`addElement, contains, equals, getCardinality, getIterator, getMenge, removeElement, setMenge, subtract, unite`

Methods inherited from class mycompiler.mytypereconstruction.set.CSet
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CMultiplyTupleSet

    public CMultiplyTupleSet()

Method Detail

### shallowCopy

    public CMultiplyTupleSet shallowCopy()

  Specified by:
    `shallowCopy` in class `CSet<CMultiplyTuple>`

### deepCopy

    public CMultiplyTupleSet deepCopy()

  Specified by:
    `deepCopy` in class `CSet<CMultiplyTuple>`